Index: uspace/srv/net/il/arp/arp_remote.c
===================================================================
--- uspace/srv/net/il/arp/arp_remote.c	(revision b5cbff48576a057d15deb2e28751ec635d099719)
+++ uspace/srv/net/il/arp/arp_remote.c	(revision 936835e135a18adfccf27258eb51edd1dd5fe962)
@@ -52,42 +52,44 @@
 #include "arp_messages.h"
 
-int arp_device_req( int arp_phone, device_id_t device_id, services_t protocol, services_t netif, measured_string_ref address ){
-	aid_t			message_id;
-	ipcarg_t		result;
+int arp_device_req(int arp_phone, device_id_t device_id, services_t protocol, services_t netif, measured_string_ref address){
+	aid_t message_id;
+	ipcarg_t result;
 
-	message_id = async_send_3( arp_phone, NET_ARP_DEVICE, ( ipcarg_t ) device_id, protocol, netif, NULL );
-	measured_strings_send( arp_phone, address, 1 );
-	async_wait_for( message_id, & result );
-	return ( int ) result;
+	message_id = async_send_3(arp_phone, NET_ARP_DEVICE, (ipcarg_t) device_id, protocol, netif, NULL);
+	measured_strings_send(arp_phone, address, 1);
+	async_wait_for(message_id, &result);
+	return (int) result;
 }
 
-int arp_translate_req( int arp_phone, device_id_t device_id, services_t protocol, measured_string_ref address, measured_string_ref * translation, char ** data ){
-	return generic_translate_req( arp_phone, NET_ARP_TRANSLATE, device_id, protocol, address, 1, translation, data );
+int arp_translate_req(int arp_phone, device_id_t device_id, services_t protocol, measured_string_ref address, measured_string_ref * translation, char ** data){
+	return generic_translate_req(arp_phone, NET_ARP_TRANSLATE, device_id, protocol, address, 1, translation, data);
 }
 
-int arp_clear_device_req( int arp_phone, device_id_t device_id ){
-	return ( int ) async_req_1_0( arp_phone, NET_ARP_CLEAR_DEVICE, ( ipcarg_t ) device_id );
+int arp_clear_device_req(int arp_phone, device_id_t device_id){
+	return (int) async_req_1_0(arp_phone, NET_ARP_CLEAR_DEVICE, (ipcarg_t) device_id);
 }
 
-int arp_clear_address_req( int arp_phone, device_id_t device_id, services_t protocol, measured_string_ref address ){
-	aid_t			message_id;
-	ipcarg_t		result;
+int arp_clear_address_req(int arp_phone, device_id_t device_id, services_t protocol, measured_string_ref address){
+	aid_t message_id;
+	ipcarg_t result;
 
-	message_id = async_send_2( arp_phone, NET_ARP_CLEAR_ADDRESS, ( ipcarg_t ) device_id, protocol, NULL );
-	measured_strings_send( arp_phone, address, 1 );
-	async_wait_for( message_id, & result );
-	return ( int ) result;
+	message_id = async_send_2(arp_phone, NET_ARP_CLEAR_ADDRESS, (ipcarg_t) device_id, protocol, NULL);
+	measured_strings_send(arp_phone, address, 1);
+	async_wait_for(message_id, &result);
+	return (int) result;
 }
 
-int arp_clean_cache_req( int arp_phone ){
-	return ( int ) async_req_0_0( arp_phone, NET_ARP_CLEAN_CACHE );
+int arp_clean_cache_req(int arp_phone){
+	return (int) async_req_0_0(arp_phone, NET_ARP_CLEAN_CACHE);
 }
 
-int arp_connect_module( services_t service ){
-	if( service != SERVICE_ARP ) return EINVAL;
-	return connect_to_service( SERVICE_ARP );
+int arp_connect_module(services_t service){
+	if(service != SERVICE_ARP){
+		return EINVAL;
+	}
+	return connect_to_service(SERVICE_ARP);
 }
 
-task_id_t arp_task_get_id( void ){
+task_id_t arp_task_get_id(void){
 	return 0;
 }
Index: uspace/srv/net/il/ip/ip.c
===================================================================
--- uspace/srv/net/il/ip/ip.c	(revision b5cbff48576a057d15deb2e28751ec635d099719)
+++ uspace/srv/net/il/ip/ip.c	(revision 936835e135a18adfccf27258eb51edd1dd5fe962)
@@ -108,9 +108,9 @@
 /** IP packet address length.
  */
-#define IP_ADDR							sizeof( struct sockaddr_in6 )
+#define IP_ADDR							sizeof(struct sockaddr_in6)
 
 /** IP packet prefix length.
  */
-#define IP_PREFIX						sizeof( ip_header_t )
+#define IP_PREFIX						sizeof(ip_header_t)
 
 /** IP packet suffix length.
@@ -124,5 +124,5 @@
 /** The IP localhost address.
  */
-#define IPV4_LOCALHOST_ADDRESS	htonl(( 127 << 24 ) + 1 )
+#define IPV4_LOCALHOST_ADDRESS	htonl((127 << 24) + 1)
 
 /** IP global data.
@@ -130,9 +130,9 @@
 ip_globals_t	ip_globals;
 
-DEVICE_MAP_IMPLEMENT( ip_netifs, ip_netif_t )
-
-INT_MAP_IMPLEMENT( ip_protos, ip_proto_t )
-
-GENERIC_FIELD_IMPLEMENT( ip_routes, ip_route_t )
+DEVICE_MAP_IMPLEMENT(ip_netifs, ip_netif_t)
+
+INT_MAP_IMPLEMENT(ip_protos, ip_proto_t)
+
+GENERIC_FIELD_IMPLEMENT(ip_routes, ip_route_t)
 
 /** Updates the device content length according to the new MTU value.
@@ -142,5 +142,5 @@
  *  @returns ENOENT if device is not found.
  */
-int	ip_mtu_changed_message( device_id_t device_id, size_t mtu );
+int ip_mtu_changed_message(device_id_t device_id, size_t mtu);
 
 /** Updates the device state.
@@ -150,5 +150,5 @@
  *  @returns ENOENT if device is not found.
  */
-int	ip_device_state_message( device_id_t device_id, device_state_t state );
+int ip_device_state_message(device_id_t device_id, device_state_t state);
 
 /** Returns the device packet dimensions for sending.
@@ -162,5 +162,5 @@
  *  @returns EOK on success.
  */
-int	ip_packet_size_message( device_id_t device_id, size_t * addr_len, size_t * prefix, size_t * content, size_t * suffix );
+int ip_packet_size_message(device_id_t device_id, size_t * addr_len, size_t * prefix, size_t * content, size_t * suffix);
 
 /** Registers the transport layer protocol.
@@ -175,5 +175,5 @@
  *  @returns ENOMEM if there is not enough memory left.
  */
-int	ip_register( int protocol, services_t service, int phone, tl_received_msg_t tl_received_msg );
+int ip_register(int protocol, services_t service, int phone, tl_received_msg_t tl_received_msg);
 
 /** Initializes a new network interface specific data.
@@ -192,5 +192,5 @@
  *  @returns Other error codes as defined for the nil_packet_size_req() function.
  */
-int	ip_netif_initialize( ip_netif_ref ip_netif );
+int ip_netif_initialize(ip_netif_ref ip_netif);
 
 /** Sends the packet or the packet queue via the specified route.
@@ -206,5 +206,5 @@
  *  @returns Other error codes as defined for the ip_prepare_packet() function.
  */
-int	ip_send_route( packet_t packet, ip_netif_ref netif, ip_route_ref route, in_addr_t * src, in_addr_t dest, services_t error );
+int ip_send_route(packet_t packet, ip_netif_ref netif, ip_route_ref route, in_addr_t * src, in_addr_t dest, services_t error);
 
 /** Prepares the outgoing packet or the packet queue.
@@ -222,5 +222,5 @@
  *  @returns Other error codes as defined for the packet_set_addr() function.
  */
-int	ip_prepare_packet( in_addr_t * source, in_addr_t dest, packet_t packet, measured_string_ref destination );
+int ip_prepare_packet(in_addr_t * source, in_addr_t dest, packet_t packet, measured_string_ref destination);
 
 /** Checks the packet queue lengths and fragments the packets if needed.
@@ -235,5 +235,5 @@
  *  @returns NULL if there are no packets left.
  */
-packet_t	ip_split_packet( packet_t packet, size_t prefix, size_t content, size_t suffix, socklen_t addr_len, services_t error );
+packet_t ip_split_packet(packet_t packet, size_t prefix, size_t content, size_t suffix, socklen_t addr_len, services_t error);
 
 /** Checks the packet length and fragments it if needed.
@@ -255,5 +255,5 @@
  *  @returns Other error codes as defined for the ip_fragment_packet_data() function.
  */
-int	ip_fragment_packet( packet_t packet, size_t length, size_t prefix, size_t suffix, socklen_t addr_len );
+int ip_fragment_packet(packet_t packet, size_t length, size_t prefix, size_t suffix, socklen_t addr_len);
 
 /** Fragments the packet from the end.
@@ -271,5 +271,5 @@
  *  @returns Other error codes as defined for the pq_insert_after() function.
  */
-int	ip_fragment_packet_data( packet_t packet, packet_t new_packet, ip_header_ref header, ip_header_ref new_header, size_t length, const struct sockaddr * src, const struct sockaddr * dest, socklen_t addrlen );
+int ip_fragment_packet_data(packet_t packet, packet_t new_packet, ip_header_ref header, ip_header_ref new_header, size_t length, const struct sockaddr * src, const struct sockaddr * dest, socklen_t addrlen);
 
 /** Prefixes a middle fragment header based on the last fragment header to the packet.
@@ -279,5 +279,5 @@
  *  @returns NULL on error.
  */
-ip_header_ref	ip_create_middle_header( packet_t packet, ip_header_ref last );
+ip_header_ref ip_create_middle_header(packet_t packet, ip_header_ref last);
 
 /** Copies the fragment header.
@@ -286,5 +286,5 @@
  *  @param[in] first The original header to be copied.
  */
-void ip_create_last_header( ip_header_ref last, ip_header_ref first );
+void ip_create_last_header(ip_header_ref last, ip_header_ref first);
 
 /** Returns the network interface's IP address.
@@ -293,5 +293,5 @@
  *  @returns NULL if no IP address was found.
  */
-in_addr_t *	ip_netif_address( ip_netif_ref netif );
+in_addr_t * ip_netif_address(ip_netif_ref netif);
 
 /** Searches all network interfaces if there is a suitable route.
@@ -300,5 +300,5 @@
  *  @returns NULL if no route was found.
  */
-ip_route_ref	ip_find_route( in_addr_t destination );
+ip_route_ref ip_find_route(in_addr_t destination);
 
 /** Searches the network interfaces if there is a suitable route.
@@ -308,5 +308,5 @@
  *  @returns NULL if no route was found.
  */
-ip_route_ref	ip_netif_find_route( ip_netif_ref netif, in_addr_t destination );
+ip_route_ref ip_netif_find_route(ip_netif_ref netif, in_addr_t destination);
 
 /** Processes the received IP packet or the packet queue one by one.
@@ -321,5 +321,5 @@
  *  @returns ENOMEM if there is not enough memory left.
  */
-int	ip_receive_message( device_id_t device_id, packet_t packet );
+int ip_receive_message(device_id_t device_id, packet_t packet);
 
 /** Processes the received packet.
@@ -338,5 +338,5 @@
  *  @returns ENOENT if the packet is for another host and the routing is disabled.
  */
-int	ip_process_packet( device_id_t device_id, packet_t packet );
+int ip_process_packet(device_id_t device_id, packet_t packet);
 
 /** Returns the packet destination address from the IP header.
@@ -344,5 +344,5 @@
  *  @returns The packet destination address.
  */
-in_addr_t	ip_get_destination( ip_header_ref header );
+in_addr_t ip_get_destination(ip_header_ref header);
 
 /** Delivers the packet to the local host.
@@ -361,5 +361,5 @@
  *  @returns Other error codes as defined for the protocol specific tl_received_msg function.
  */
-int	ip_deliver_local( device_id_t device_id, packet_t packet, ip_header_ref header, services_t error );
+int ip_deliver_local(device_id_t device_id, packet_t packet, ip_header_ref header, services_t error);
 
 /** Prepares the ICMP notification packet.
@@ -374,5 +374,5 @@
  *  @returns EINVAL if the ip_prepare_icmp() fails.
  */
-int	ip_prepare_icmp_and_get_phone( services_t error, packet_t packet, ip_header_ref header );
+int ip_prepare_icmp_and_get_phone(services_t error, packet_t packet, ip_header_ref header);
 
 /** Returns the ICMP phone.
@@ -381,5 +381,5 @@
  *  @returns ENOENT if the ICMP is not registered.
  */
-int	ip_get_icmp_phone( void );
+int ip_get_icmp_phone(void);
 
 /** Prepares the ICMP notification packet.
@@ -395,5 +395,5 @@
  *  @returns Other error codes as defined for the packet_set_addr().
  */
-int	ip_prepare_icmp( packet_t packet, ip_header_ref header );
+int ip_prepare_icmp(packet_t packet, ip_header_ref header);
 
 /** Releases the packet and returns the result.
@@ -402,13 +402,13 @@
  *  @return The result parameter.
  */
-int	ip_release_and_return( packet_t packet, int result );
-
-int ip_initialize( async_client_conn_t client_connection ){
+int ip_release_and_return(packet_t packet, int result);
+
+int ip_initialize(async_client_conn_t client_connection){
 	ERROR_DECLARE;
 
-	fibril_rwlock_initialize( & ip_globals.lock );
-	fibril_rwlock_write_lock( & ip_globals.lock );
-	fibril_rwlock_initialize( & ip_globals.protos_lock );
-	fibril_rwlock_initialize( & ip_globals.netifs_lock );
+	fibril_rwlock_initialize(&ip_globals.lock);
+	fibril_rwlock_write_lock(&ip_globals.lock);
+	fibril_rwlock_initialize(&ip_globals.protos_lock);
+	fibril_rwlock_initialize(&ip_globals.netifs_lock);
 	ip_globals.packet_counter = 0;
 	ip_globals.gateway.address.s_addr = 0;
@@ -416,25 +416,27 @@
 	ip_globals.gateway.gateway.s_addr = 0;
 	ip_globals.gateway.netif = NULL;
-	ERROR_PROPAGATE( ip_netifs_initialize( & ip_globals.netifs ));
-	ERROR_PROPAGATE( ip_protos_initialize( & ip_globals.protos ));
+	ERROR_PROPAGATE(ip_netifs_initialize(&ip_globals.netifs));
+	ERROR_PROPAGATE(ip_protos_initialize(&ip_globals.protos));
 	ip_globals.client_connection = client_connection;
-	ERROR_PROPAGATE( modules_initialize( & ip_globals.modules ));
-	ERROR_PROPAGATE( add_module( NULL, & ip_globals.modules, ARP_NAME, ARP_FILENAME, SERVICE_ARP, arp_task_get_id(), arp_connect_module ));
-	fibril_rwlock_write_unlock( & ip_globals.lock );
+	ERROR_PROPAGATE(modules_initialize(&ip_globals.modules));
+	ERROR_PROPAGATE(add_module(NULL, &ip_globals.modules, ARP_NAME, ARP_FILENAME, SERVICE_ARP, arp_task_get_id(), arp_connect_module));
+	fibril_rwlock_write_unlock(&ip_globals.lock);
 	return EOK;
 }
 
-int ip_device_req( int il_phone, device_id_t device_id, services_t netif ){
+int ip_device_req(int il_phone, device_id_t device_id, services_t netif){
 	ERROR_DECLARE;
 
-	ip_netif_ref	ip_netif;
-	ip_route_ref	route;
-	int				index;
-	char *			data;
-
-	ip_netif = ( ip_netif_ref ) malloc( sizeof( ip_netif_t ));
-	if( ! ip_netif ) return ENOMEM;
-	if( ERROR_OCCURRED( ip_routes_initialize( & ip_netif->routes ))){
-		free( ip_netif );
+	ip_netif_ref ip_netif;
+	ip_route_ref route;
+	int index;
+	char * data;
+
+	ip_netif = (ip_netif_ref) malloc(sizeof(ip_netif_t));
+	if(! ip_netif){
+		return ENOMEM;
+	}
+	if(ERROR_OCCURRED(ip_routes_initialize(&ip_netif->routes))){
+		free(ip_netif);
 		return ERROR_CODE;
 	}
@@ -442,49 +444,51 @@
 	ip_netif->service = netif;
 	ip_netif->state = NETIF_STOPPED;
-	fibril_rwlock_write_lock( & ip_globals.netifs_lock );
-	if( ERROR_OCCURRED( ip_netif_initialize( ip_netif ))){
-		fibril_rwlock_write_unlock( & ip_globals.netifs_lock );
-		ip_routes_destroy( & ip_netif->routes );
-		free( ip_netif );
+	fibril_rwlock_write_lock(&ip_globals.netifs_lock);
+	if(ERROR_OCCURRED(ip_netif_initialize(ip_netif))){
+		fibril_rwlock_write_unlock(&ip_globals.netifs_lock);
+		ip_routes_destroy(&ip_netif->routes);
+		free(ip_netif);
 		return ERROR_CODE;
 	}
-	if( ip_netif->arp ) ++ ip_netif->arp->usage;
+	if(ip_netif->arp){
+		++ ip_netif->arp->usage;
+	}
 	// print the settings
-	printf( "New device registered:\n\tid\t= %d\n\tphone\t= %d\n\tIPV\t= %d\n", ip_netif->device_id, ip_netif->phone, ip_netif->ipv );
-	printf( "\tconfiguration\t= %s\n", ip_netif->dhcp ? "dhcp" : "static" );
+	printf("New device registered:\n\tid\t= %d\n\tphone\t= %d\n\tIPV\t= %d\n", ip_netif->device_id, ip_netif->phone, ip_netif->ipv);
+	printf("\tconfiguration\t= %s\n", ip_netif->dhcp ? "dhcp" : "static");
 	// TODO ipv6 addresses
-	data = ( char * ) malloc( INET_ADDRSTRLEN );
-	if( data ){
-		for( index = 0; index < ip_routes_count( & ip_netif->routes ); ++ index ){
-			route = ip_routes_get_index( & ip_netif->routes, index );
-			if( route ){
-				printf( "\tRouting %d:\n", index );
-				inet_ntop( AF_INET, ( uint8_t * ) & route->address.s_addr, data, INET_ADDRSTRLEN );
-				printf( "\t\taddress\t= %s\n", data );
-				inet_ntop( AF_INET, ( uint8_t * ) & route->netmask.s_addr, data, INET_ADDRSTRLEN );
-				printf( "\t\tnetmask\t= %s\n", data );
-				inet_ntop( AF_INET, ( uint8_t * ) & route->gateway.s_addr, data, INET_ADDRSTRLEN );
-				printf( "\t\tgateway\t= %s\n", data );
-			}
-		}
-		inet_ntop( AF_INET, ( uint8_t * ) & ip_netif->broadcast.s_addr, data, INET_ADDRSTRLEN );
-		printf( "\t\tbroadcast\t= %s\n", data );
-		free( data );
-	}
-	fibril_rwlock_write_unlock( & ip_globals.netifs_lock );
+	data = (char *) malloc(INET_ADDRSTRLEN);
+	if(data){
+		for(index = 0; index < ip_routes_count(&ip_netif->routes); ++ index){
+			route = ip_routes_get_index(&ip_netif->routes, index);
+			if(route){
+				printf("\tRouting %d:\n", index);
+				inet_ntop(AF_INET, (uint8_t *) &route->address.s_addr, data, INET_ADDRSTRLEN);
+				printf("\t\taddress\t= %s\n", data);
+				inet_ntop(AF_INET, (uint8_t *) &route->netmask.s_addr, data, INET_ADDRSTRLEN);
+				printf("\t\tnetmask\t= %s\n", data);
+				inet_ntop(AF_INET, (uint8_t *) &route->gateway.s_addr, data, INET_ADDRSTRLEN);
+				printf("\t\tgateway\t= %s\n", data);
+			}
+		}
+		inet_ntop(AF_INET, (uint8_t *) &ip_netif->broadcast.s_addr, data, INET_ADDRSTRLEN);
+		printf("\t\tbroadcast\t= %s\n", data);
+		free(data);
+	}
+	fibril_rwlock_write_unlock(&ip_globals.netifs_lock);
 	return EOK;
 }
 
-int ip_netif_initialize( ip_netif_ref ip_netif ){
+int ip_netif_initialize(ip_netif_ref ip_netif){
 	ERROR_DECLARE;
 
-	measured_string_t	names[] = {{ str_dup("IPV"), 3 }, { str_dup("IP_CONFIG"), 9 }, { str_dup("IP_ADDR"), 7 }, { str_dup("IP_NETMASK"), 10 }, { str_dup("IP_GATEWAY"), 10 }, { str_dup("IP_BROADCAST"), 12 }, { str_dup("ARP"), 3 }, { str_dup("IP_ROUTING"), 10 }};
-	measured_string_ref	configuration;
-	size_t				count = sizeof( names ) / sizeof( measured_string_t );
-	char *				data;
-	measured_string_t	address;
-	int					index;
-	ip_route_ref		route;
-	in_addr_t			gateway;
+	measured_string_t names[] = {{str_dup("IPV"), 3}, {str_dup("IP_CONFIG"), 9}, {str_dup("IP_ADDR"), 7}, {str_dup("IP_NETMASK"), 10}, {str_dup("IP_GATEWAY"), 10}, {str_dup("IP_BROADCAST"), 12}, {str_dup("ARP"), 3}, {str_dup("IP_ROUTING"), 10}};
+	measured_string_ref configuration;
+	size_t count = sizeof(names) / sizeof(measured_string_t);
+	char * data;
+	measured_string_t address;
+	int index;
+	ip_route_ref route;
+	in_addr_t gateway;
 
 	ip_netif->arp = NULL;
@@ -493,20 +497,20 @@
 	ip_netif->dhcp = false;
 	ip_netif->routing = NET_DEFAULT_IP_ROUTING;
-	configuration = & names[ 0 ];
+	configuration = &names[0];
 	// get configuration
-	ERROR_PROPAGATE( net_get_device_conf_req( ip_globals.net_phone, ip_netif->device_id, & configuration, count, & data ));
-	if( configuration ){
-		if( configuration[ 0 ].value ){
-			ip_netif->ipv = strtol( configuration[ 0 ].value, NULL, 0 );
-		}
-		ip_netif->dhcp = ! str_lcmp( configuration[ 1 ].value, "dhcp", configuration[ 1 ].length );
-		if( ip_netif->dhcp ){
+	ERROR_PROPAGATE(net_get_device_conf_req(ip_globals.net_phone, ip_netif->device_id, &configuration, count, &data));
+	if(configuration){
+		if(configuration[0].value){
+			ip_netif->ipv = strtol(configuration[0].value, NULL, 0);
+		}
+		ip_netif->dhcp = ! str_lcmp(configuration[1].value, "dhcp", configuration[1].length);
+		if(ip_netif->dhcp){
 			// TODO dhcp
-			net_free_settings( configuration, data );
+			net_free_settings(configuration, data);
 			return ENOTSUP;
-		}else if( ip_netif->ipv == IPV4 ){
-			route = ( ip_route_ref ) malloc( sizeof( ip_route_t ));
-			if( ! route ){
-				net_free_settings( configuration, data );
+		}else if(ip_netif->ipv == IPV4){
+			route = (ip_route_ref) malloc(sizeof(ip_route_t));
+			if(! route){
+				net_free_settings(configuration, data);
 				return ENOMEM;
 			}
@@ -515,47 +519,47 @@
 			route->gateway.s_addr = 0;
 			route->netif = ip_netif;
-			index = ip_routes_add( & ip_netif->routes, route );
-			if( index < 0 ){
-				net_free_settings( configuration, data );
-				free( route );
+			index = ip_routes_add(&ip_netif->routes, route);
+			if(index < 0){
+				net_free_settings(configuration, data);
+				free(route);
 				return index;
 			}
-			if( ERROR_OCCURRED( inet_pton( AF_INET, configuration[ 2 ].value, ( uint8_t * ) & route->address.s_addr ))
-			|| ERROR_OCCURRED( inet_pton( AF_INET, configuration[ 3 ].value, ( uint8_t * ) & route->netmask.s_addr ))
-			|| ( inet_pton( AF_INET, configuration[ 4 ].value, ( uint8_t * ) & gateway.s_addr ) == EINVAL )
-			|| ( inet_pton( AF_INET, configuration[ 5 ].value, ( uint8_t * ) & ip_netif->broadcast.s_addr ) == EINVAL )){
-				net_free_settings( configuration, data );
+			if(ERROR_OCCURRED(inet_pton(AF_INET, configuration[2].value, (uint8_t *) &route->address.s_addr))
+				|| ERROR_OCCURRED(inet_pton(AF_INET, configuration[3].value, (uint8_t *) &route->netmask.s_addr))
+				|| (inet_pton(AF_INET, configuration[4].value, (uint8_t *) &gateway.s_addr) == EINVAL)
+				|| (inet_pton(AF_INET, configuration[5].value, (uint8_t *) &ip_netif->broadcast.s_addr) == EINVAL)){
+				net_free_settings(configuration, data);
 				return EINVAL;
 			}
 		}else{
 			// TODO ipv6 in separate module
-			net_free_settings( configuration, data );
+			net_free_settings(configuration, data);
 			return ENOTSUP;
 		}
-		if( configuration[ 6 ].value ){
-			ip_netif->arp = get_running_module( & ip_globals.modules, configuration[ 6 ].value );
-			if( ! ip_netif->arp ){
-				printf( "Failed to start the arp %s\n", configuration[ 6 ].value );
-				net_free_settings( configuration, data );
+		if(configuration[6].value){
+			ip_netif->arp = get_running_module(&ip_globals.modules, configuration[6].value);
+			if(! ip_netif->arp){
+				printf("Failed to start the arp %s\n", configuration[6].value);
+				net_free_settings(configuration, data);
 				return EINVAL;
 			}
 		}
-		if( configuration[ 7 ].value ){
-			ip_netif->routing = ( configuration[ 7 ].value[ 0 ] == 'y' );
-		}
-		net_free_settings( configuration, data );
+		if(configuration[7].value){
+			ip_netif->routing = (configuration[7].value[0] == 'y');
+		}
+		net_free_settings(configuration, data);
 	}
 	// binds the netif service which also initializes the device
-	ip_netif->phone = nil_bind_service( ip_netif->service, ( ipcarg_t ) ip_netif->device_id, SERVICE_IP, ip_globals.client_connection );
-	if( ip_netif->phone < 0 ){
-		printf( "Failed to contact the nil service %d\n", ip_netif->service );
+	ip_netif->phone = nil_bind_service(ip_netif->service, (ipcarg_t) ip_netif->device_id, SERVICE_IP, ip_globals.client_connection);
+	if(ip_netif->phone < 0){
+		printf("Failed to contact the nil service %d\n", ip_netif->service);
 		return ip_netif->phone;
 	}
 	// has to be after the device netif module initialization
-	if( ip_netif->arp ){
-		if( route ){
-			address.value = ( char * ) & route->address.s_addr;
-			address.length = CONVERT_SIZE( in_addr_t, char, 1 );
-			ERROR_PROPAGATE( arp_device_req( ip_netif->arp->phone, ip_netif->device_id, SERVICE_IP, ip_netif->service, & address ));
+	if(ip_netif->arp){
+		if(route){
+			address.value = (char *) &route->address.s_addr;
+			address.length = CONVERT_SIZE(in_addr_t, char, 1);
+			ERROR_PROPAGATE(arp_device_req(ip_netif->arp->phone, ip_netif->device_id, SERVICE_IP, ip_netif->service, &address));
 		}else{
 			ip_netif->arp = 0;
@@ -563,12 +567,14 @@
 	}
 	// get packet dimensions
-	ERROR_PROPAGATE( nil_packet_size_req( ip_netif->phone, ip_netif->device_id, & ip_netif->packet_dimension ));
-	if( ip_netif->packet_dimension.content < IP_MIN_CONTENT ){
-		printf( "Maximum transmission unit %d bytes is too small, at least %d bytes are needed\n", ip_netif->packet_dimension.content, IP_MIN_CONTENT );
+	ERROR_PROPAGATE(nil_packet_size_req(ip_netif->phone, ip_netif->device_id, &ip_netif->packet_dimension));
+	if(ip_netif->packet_dimension.content < IP_MIN_CONTENT){
+		printf("Maximum transmission unit %d bytes is too small, at least %d bytes are needed\n", ip_netif->packet_dimension.content, IP_MIN_CONTENT);
 		ip_netif->packet_dimension.content = IP_MIN_CONTENT;
 	}
-	index = ip_netifs_add( & ip_globals.netifs, ip_netif->device_id, ip_netif );
-	if( index < 0 ) return index;
-	if( gateway.s_addr ){
+	index = ip_netifs_add(&ip_globals.netifs, ip_netif->device_id, ip_netif);
+	if(index < 0){
+		return index;
+	}
+	if(gateway.s_addr){
 		// the default gateway
 		ip_globals.gateway.address.s_addr = 0;
@@ -580,96 +586,100 @@
 }
 
-int ip_mtu_changed_message( device_id_t device_id, size_t mtu ){
-	ip_netif_ref	netif;
-
-	fibril_rwlock_write_lock( & ip_globals.netifs_lock );
-	netif = ip_netifs_find( & ip_globals.netifs, device_id );
-	if( ! netif ){
-		fibril_rwlock_write_unlock( & ip_globals.netifs_lock );
+int ip_mtu_changed_message(device_id_t device_id, size_t mtu){
+	ip_netif_ref netif;
+
+	fibril_rwlock_write_lock(&ip_globals.netifs_lock);
+	netif = ip_netifs_find(&ip_globals.netifs, device_id);
+	if(! netif){
+		fibril_rwlock_write_unlock(&ip_globals.netifs_lock);
 		return ENOENT;
 	}
 	netif->packet_dimension.content = mtu;
-	printf( "ip - device %d changed mtu to %d\n\n", device_id, mtu );
-	fibril_rwlock_write_unlock( & ip_globals.netifs_lock );
+	printf("ip - device %d changed mtu to %d\n\n", device_id, mtu);
+	fibril_rwlock_write_unlock(&ip_globals.netifs_lock);
 	return EOK;
 }
 
-int ip_device_state_message( device_id_t device_id, device_state_t state ){
-	ip_netif_ref	netif;
-
-	fibril_rwlock_write_lock( & ip_globals.netifs_lock );
+int ip_device_state_message(device_id_t device_id, device_state_t state){
+	ip_netif_ref netif;
+
+	fibril_rwlock_write_lock(&ip_globals.netifs_lock);
 	// find the device
-	netif = ip_netifs_find( & ip_globals.netifs, device_id );
-	if( ! netif ){
-		fibril_rwlock_write_unlock( & ip_globals.netifs_lock );
+	netif = ip_netifs_find(&ip_globals.netifs, device_id);
+	if(! netif){
+		fibril_rwlock_write_unlock(&ip_globals.netifs_lock);
 		return ENOENT;
 	}
 	netif->state = state;
-	printf( "ip - device %d changed state to %d\n\n", device_id, state );
-	fibril_rwlock_write_unlock( & ip_globals.netifs_lock );
+	printf("ip - device %d changed state to %d\n\n", device_id, state);
+	fibril_rwlock_write_unlock(&ip_globals.netifs_lock);
 	return EOK;
 }
 
-int ip_connect_module( services_t service ){
+int ip_connect_module(services_t service){
 	return EOK;
 }
 
-int ip_bind_service( services_t service, int protocol, services_t me, async_client_conn_t receiver, tl_received_msg_t received_msg ){
-	return ip_register( protocol, me, 0, received_msg );
-}
-
-int ip_register( int protocol, services_t service, int phone, tl_received_msg_t received_msg ){
-	ip_proto_ref	proto;
-	int				index;
-
-	if( !( protocol && service && (( phone > 0 ) || ( received_msg )))) return EINVAL;
-	proto = ( ip_proto_ref ) malloc( sizeof( ip_protos_t ));
-	if( ! proto ) return ENOMEM;
+int ip_bind_service(services_t service, int protocol, services_t me, async_client_conn_t receiver, tl_received_msg_t received_msg){
+	return ip_register(protocol, me, 0, received_msg);
+}
+
+int ip_register(int protocol, services_t service, int phone, tl_received_msg_t received_msg){
+	ip_proto_ref proto;
+	int index;
+
+	if(!(protocol && service && ((phone > 0) || (received_msg)))){
+		return EINVAL;
+	}
+	proto = (ip_proto_ref) malloc(sizeof(ip_protos_t));
+	if(! proto){
+		return ENOMEM;
+	}
 	proto->protocol = protocol;
 	proto->service = service;
 	proto->phone = phone;
 	proto->received_msg = received_msg;
-	fibril_rwlock_write_lock( & ip_globals.protos_lock );
-	index = ip_protos_add( & ip_globals.protos, proto->protocol, proto );
-	if( index < 0 ){
-		fibril_rwlock_write_unlock( & ip_globals.protos_lock );
-		free( proto );
+	fibril_rwlock_write_lock(&ip_globals.protos_lock);
+	index = ip_protos_add(&ip_globals.protos, proto->protocol, proto);
+	if(index < 0){
+		fibril_rwlock_write_unlock(&ip_globals.protos_lock);
+		free(proto);
 		return index;
 	}
-	printf( "New protocol registered:\n\tprotocol\t= %d\n\tphone\t= %d\n", proto->protocol, proto->phone );
-	fibril_rwlock_write_unlock( & ip_globals.protos_lock );
+	printf("New protocol registered:\n\tprotocol\t= %d\n\tphone\t= %d\n", proto->protocol, proto->phone);
+	fibril_rwlock_write_unlock(&ip_globals.protos_lock);
 	return EOK;
 }
 
-int ip_send_msg( int il_phone, device_id_t device_id, packet_t packet, services_t sender, services_t error ){
+int ip_send_msg(int il_phone, device_id_t device_id, packet_t packet, services_t sender, services_t error){
 	ERROR_DECLARE;
 
-	int					addrlen;
-	ip_netif_ref		netif;
-	ip_route_ref		route;
-	struct sockaddr *		addr;
-	struct sockaddr_in *	address_in;
+	int addrlen;
+	ip_netif_ref netif;
+	ip_route_ref route;
+	struct sockaddr * addr;
+	struct sockaddr_in * address_in;
 //	struct sockaddr_in6 *	address_in6;
-	in_addr_t *			dest;
-	in_addr_t *			src;
-	int					phone;
+	in_addr_t * dest;
+	in_addr_t * src;
+	int phone;
 
 	// addresses in the host byte order
 	// should be the next hop address or the target destination address
-	addrlen = packet_get_addr( packet, NULL, ( uint8_t ** ) & addr );
-	if( addrlen < 0 ){
-		return ip_release_and_return( packet, addrlen );
-	}
-	if(( size_t ) addrlen < sizeof( struct sockaddr )){
-		return ip_release_and_return( packet, EINVAL );
-	}
-	switch( addr->sa_family ){
+	addrlen = packet_get_addr(packet, NULL, (uint8_t **) &addr);
+	if(addrlen < 0){
+		return ip_release_and_return(packet, addrlen);
+	}
+	if((size_t) addrlen < sizeof(struct sockaddr)){
+		return ip_release_and_return(packet, EINVAL);
+	}
+	switch(addr->sa_family){
 		case AF_INET:
-			if( addrlen != sizeof( struct sockaddr_in )){
-				return ip_release_and_return( packet, EINVAL );
-			}
-			address_in = ( struct sockaddr_in * ) addr;
-			dest = & address_in->sin_addr;
-			if( ! dest->s_addr ){
+			if(addrlen != sizeof(struct sockaddr_in)){
+				return ip_release_and_return(packet, EINVAL);
+			}
+			address_in = (struct sockaddr_in *) addr;
+			dest = &address_in->sin_addr;
+			if(! dest->s_addr){
 				dest->s_addr = IPV4_LOCALHOST_ADDRESS;
 			}
